<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// Check to ensure this file is within the rest of the framework

defined('JPATH_BASE') or die();

$baseurl = JURI::base();

$uniqid = uniqid();

if(!empty($contents)){

    $document = JFactory::getDocument();
    $document->addStyleSheet("https://unpkg.com/leaflet@1.0.1/dist/leaflet.css");
	$document->addScript("https://unpkg.com/leaflet@1.0.1/dist/leaflet.js");
?>
<div class="juloawrapper">
    <script type="text/javascript"> 
        var openmap;
        var center;
        function loadMarkers(markers) {
            var markersArray = [];
            var latlons = [];
                jQuery.each(markers, function(index, data){
                    latLon = index.split('-');
                    lat = latLon[0];
                    lon = latLon[1];
                    console.log(lat,lon);
                    mark = [lat,lon];
                    
                    marker = L.marker([lat, lon]);
                    latlons.push(mark);
                    markersArray.push(marker);
                    
                    var content = "<div class='gmappopup'>";
                    jQuery.each(data, function(index, value){
                        content += "<div class='mainpopup'>";
                        <?php if($mapDisplayImage){ ?>  
                            content += "<div class='imagediv'><a href='"+value.link+"'><img src='"+value.image+"' /></a></div>";
                        <?php } ?>
                        <?php 
                            if($mapDisplayTitle){
                                if($mapDisplayLinkTitle){
                        ?>
                            content += "<h3><a href='"+value.link+"'>"+value.title+"</a></h3>";
                        <?php   }else{ ?>
                            content += "<h3>"+value.title+"</h3>";
                        <?php  
                                }
                            }
                        ?>
                        <?php if($mapDisplayDescription){ ?>
                            content += "<p class='description'>"+value.description+"</p>";
                        <?php } ?>
                        content += "</div><div style='clear:both'></div>";

                        content += "<div class='price'>";
                        <?php if($mapDisplayPrice){ ?>
                            content += "<strong>"+value.price+"</strong>";
                        <?php } ?>
                        <?php if($mapLinkAds){ ?>  
                        content += "<a class='btn button' style='float:right;' href='"+value.link+"'>"+
                                   "<?php echo JText::_('ADSMANAGER_LINK_ADS_TEXT'); ?>"+
                                   "</a>";
                        <?php } ?>   

                        content += "</div><hr/>";
                    });
                    content += "</div>";
                    marker.bindPopup(content).addTo(openmap);

                }); 
                if(markersArray.length > 1) {
                    var group = new L.featureGroup(markersArray);

                    
                    openmap.fitBounds(group.getBounds());
                } else {
                    openmap.setView(latlons[0]);
                }
        }

         function initializemap() {
            var defaultLatLng = [<?php echo $mapDefaultLat; ?>,<?php echo $mapDefaultLng; ?>];
            
            var myOptions = {
                zoom: <?php echo $mapDefaultZoom; ?>,
                center: defaultLatLng
            };

            openmap = L.map('map_canvaslist_<?php echo $uniqid; ?>', myOptions);     

            var OpenStreetMap_Mapnik = L.tileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
                maxZoom: 19,
                attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
            });

            OpenStreetMap_Mapnik.addTo(openmap);

            <?php if(!empty($markers)){ ?>
                markers = <?php echo json_encode($markers);?>;
                loadMarkers(markers);
            <?php } ?>
        }
    </script>
    <div id="openmapads" class="openmapads<?php echo $moduleclass_sfx; ?>">
        <div class="openmapwraptitle">
            <img src="<?php echo $baseurl?>/modules/mod_adsmanager_adsopenmap/tmpl/map.png" />
            <input type="button" id='showmap_<?php echo $uniqid; ?>' class="btn btn-primary button" value='<?php echo JText::_('ADSMANAGER_SHOW_GMAP'); ?>'></input>
            <input type="button" id='hidemap_<?php echo $uniqid; ?>' class="btn btn-primary button" value='<?php echo JText::_('ADSMANAGER_HIDE_GMAP'); ?>'></input>
        </div>
        <div class="openmap" id="map_canvaslist_<?php echo $uniqid; ?>" style="height: <?php echo $mapHeight ?>px;"></div>
    </div>
    <script language="javascript"> 
    firstinit =1;
    function activeMap() {

         <?php if(!empty($markers)){ ?>
         if (firstinit == 1) {
            firstinit = 0;
            // Zoom for displaying all markers on screen
            // This is needed to set the zoom after fitbounds,
            openmap.initialZoom = true;
            openmap.fitBounds(center);
        }
         <?php } ?>
        jQ.cookie("showMapResult",1);
    }

    jQ(document).ready(function(){
        initializemap();
        <?php if($mapHide){ ?>
            showMapResult = 0;
            if (showMapResult == 1) {
                jQ('#showmap_<?php echo $uniqid; ?>').hide();
                jQ('#map_canvaslist_<?php echo $uniqid; ?>').show();
                activeMap();        
            } else {
                jQ('#hidemap_<?php echo $uniqid; ?>').hide();
                jQ('#map_canvaslist_<?php echo $uniqid; ?>').hide();
            }

            jQ('#showmap_<?php echo $uniqid; ?>').click(function(event) {        
                 jQ('#showmap_<?php echo $uniqid; ?>').hide();
                 jQ('#hidemap_<?php echo $uniqid; ?>').show();
                 jQ('#map_canvaslist_<?php echo $uniqid; ?>').toggle(300,function() {
                        activeMap();
                });
                 jQ('.gmapwraptitle').removeClass('titlehide'); 
            });
            jQ('#hidemap_<?php echo $uniqid; ?>').click(function(event) {        
                 jQ('#hidemap_<?php echo $uniqid; ?>').hide();
                 jQ('#showmap_<?php echo $uniqid; ?>').show();
                 jQ('#map_canvaslist_<?php echo $uniqid; ?>').toggle(300,function() {});
                 jQ.cookie("showMapResult",0);
                 jQ('.gmapwraptitle').addClass('titlehide');
            });
        <?php }else{ ?>
            showMapResult = 1;
            if (showMapResult == 1) {
                jQ('#showmap_<?php echo $uniqid; ?>').hide();
                jQ('#map_canvaslist_<?php echo $uniqid; ?>').show();
                activeMap();        
            } else {
                jQ('#hidemap_<?php echo $uniqid; ?>').hide();
                jQ('#map_canvaslist_<?php echo $uniqid; ?>').hide();
            }

            jQ('#showmap_<?php echo $uniqid; ?>').click(function(event) {        
                 jQ('#showmap_<?php echo $uniqid; ?>').hide();
                 jQ('#hidemap_<?php echo $uniqid; ?>').show();
                 jQ('#map_canvaslist_<?php echo $uniqid; ?>').toggle(300,function() {
                        activeMap();
                });
                 jQ('.gmapwraptitle').removeClass('titlehide'); 
            });
            jQ('#hidemap_<?php echo $uniqid; ?>').click(function(event) {        
                 jQ('#hidemap_<?php echo $uniqid; ?>').hide();
                 jQ('#showmap_<?php echo $uniqid; ?>').show();
                 jQ('#map_canvaslist_<?php echo $uniqid; ?>').toggle(300,function() {});
                 jQ.cookie("showMapResult",0);
                 jQ('.gmapwraptitle').addClass('titlehide');
            });
        <?php } ?>
    });
    </script>
</div>
<?php
}
?>